package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.CameraFunction;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-17
 */
public interface ICameraFunctionService extends IService<CameraFunction> {
    Result cameraList(Map<String, Object> params);

    Result removeIds(List<Integer> ids);

    Result lsitAndCamera(Integer farmId);

    Result addCamera(Map<String, String> params);

    Result deleteCamera(Map<String, String> params);

    Result listCamera(Map<String, String> params);
}
